## Script (Python) "getDocumentLayouts"
##parameters=
# $Id: getDocumentLayouts.py,v 1.16 2003/10/08 08:52:54 ben Exp $
"""
Here are defined the list of layouts to be registred
Please, follow the same pattern to add new layouts
"""

#########################################################
# FAQ LAYOUT
#########################################################

faq_layout = {
    'widgets': {
        'title': {
            'type': 'String Widget',
            'data': {
                'fields': ['title'],
                'is_i18n': 1,
                'label_edit': 'cpsdoc_faq_question_label_edit',
                'label': '',
                'description': 'FAQ short question for section display',
                'css_class': 'dtitle',
                'is_required': 1,
                'display_width': 40,
                'size_max': 72,
            },
        },
        'description': {
            'type': 'TextArea Widget',
            'data': {
                'fields': ['description'],
                'is_i18n': 1,
                'label_edit': 'cpsdoc_faq_long_question_label_edit',
                'label': '',
                'description': 'FAQ long question',
                'css_class': 'ddescription',
                'width': 40,
                'height': 5,
                'render_mode': 'stx',
            },
        },
        'content': {
            'type': 'TextArea Widget',
            'data': {
                'fields': ['content'],
                'is_i18n': 1,
                'label_edit': 'cpsdoc_faq_answer_label_edit',
                'label': 'cpsdoc_faq_answer_label',
                'description': 'FAQ answer',
                'css_class': 'dcontent',
                'is_required': 1,
                'width': 40,
                'height': 5,
                'render_mode': 'stx',
            },
        },
    },
    'layout': {
        'ncols': 1,
        'rows': [
            [{'ncols': 1, 'widget_id': 'title'},
                ],
            [{'ncols': 1, 'widget_id': 'description'},
                ],
            [{'ncols': 1, 'widget_id': 'content'},
                ],
            ],
        },
    }

#########################################################
# NEWS LAYOUT
#########################################################

news_layout = {
    'widgets': {
        'preview': {
            'type': 'Image Widget',
            'data': {
                'fields': ['preview'],
                'is_i18n': 1,
                'label_edit': 'cpsdoc_News_preview_label_edit',
                'label': '',
                'hidden_view': 1,
                'description': 'cpsdoc_News_preview_description',
                'deletable': 1,
                'display_width': 200,
                'display_height': 150,
                'size_max': 1024*1024,
            },
        },
        'attachedFile': {
            'type': 'File Widget',
            'data': {
                'fields': ['attachedFile',
                           'attachedFile_text',
                           'attachedFile_html'],
                'is_i18n': 1,
                'label_edit': 'cpsdoc_News_attachedFile_label_edit',
                'label': 'cpsdoc_News_attachedFile_label',
                'hidden_empty': 1,
                'description': 'cpsdoc_News_attachedFile_description',
                'deletable': 1,
                'size_max': 3*1024*1024,
            },
        },
        'newsdate': {
            'type': 'Date Widget',
            'data': {
                'fields': ['newsdate'],
                'is_i18n': 1,
                'is_required': 1,
                'label_edit': 'cpsdoc_News_newsdate_label_edit',
                'label': 'cpsdoc_News_newsdate_label',
                'description': 'cpsdoc_News_newsdate_description',
                'css_class': 'dtitle5 dright',
                'view_format': 'medium',
                'time_setting': 1,
            },
        },
        'title': {
            'type': 'String Widget',
            'data': {
                'fields': ['title'],
                'is_i18n': 1,
                'label_edit': 'cpsdoc_News_title_label_edit',
                'label': '',
                'description': 'cpsdoc_News_title_description',
                'css_class': 'dtitle',
                'display_width': 30,
                'size_max': 72,
            },
        },
        'photo': {
            'type': 'Image Widget',
            'data': {
                'fields': ['photo'],
                'is_i18n': 1,
                'label_edit': 'cpsdoc_News_photo_label_edit',
                'label': '',
                'description': 'cpsdoc_News_photo_description',
                'css_class': 'dleft',
                'display_width': 250,
                'display_height': 150,
                'size_max': 2*1024*1024,
            },
        },
        'description': {
            'type': 'TextArea Widget',
            'data': {
                'fields': ['description'],
                'is_i18n': 1,
                'label_edit': 'cpsdoc_News_description_label_edit',
                'label': '',
                'description': 'cpsdoc_News_description_description',
                'css_class': 'ddescription',
                'width': 60,
                'height': 5,
                'render_mode': 'stx',
            },
        },
        'theme': {
            'type': 'Select Widget',
            'data': {
                'fields': ['theme'],
                'is_i18n': 1,
                'label_edit': 'cpsdoc_theme_label_edit',
                'label': '',
                'hidden_view': 1,
                'description': 'cpsdoc_theme_description',
                'vocabulary': 'dummy_voc',
            },
        },
        'longTitle': {
            'type': 'String Widget',
            'data': {
                'fields': ['longTitle'],
                'is_i18n': 1,
                'label_edit': 'cpsdoc_News_longTitle_label_edit',
                'label': '',
                'description': 'cpsdoc_News_longTitle_description',
                'css_class': 'dtitle2',
                'is_required': 1,
                'display_width': 72,
                'size_max': 72,
            },
        },
        'content': {
            'type': 'Rich Text Editor Widget',
            'data': {
                'fields': ['content'],
                'is_i18n': 1,
                'label_edit': 'cpsdoc_News_content_label_edit',
                'label': '',
                'description': 'cpsdoc_News_content_description',
                'css_class': 'dcontent',
                'width': 40,
                'height': 25,
                'render_mode': 'stx',
            },
        },
    },
    'layout': {
    'ncols': 2,
        'rows': [
            [{'ncols': 1, 'widget_id': 'theme'},
             ],
            [{'ncols': 1, 'widget_id': 'title'},
             {'ncols': 1, 'widget_id': 'newsdate'},
             ],
            [{'ncols': 1, 'widget_id': 'longTitle'},
             ],
            [{'ncols': 1, 'widget_id': 'description'},
             ],
            [{'ncols': 1, 'widget_id': 'photo'},
             {'ncols': 1, 'widget_id': 'preview'},
             ],
            [{'ncols': 1, 'widget_id': 'content'},
             ],
            [{'ncols': 1, 'widget_id': 'attachedFile'},
             ],
            ],
        },
    }

#########################################################
# FILE LAYOUT
#########################################################

file_layout = {
    'widgets': {
        'title': {
            'type': 'String Widget',
            'data': {
                'fields': ['title'],
                'is_i18n': 1,
                'label_edit': 'cpsdoc_title_label_edit',
                'css_class': 'dtitle',
                'is_required': 1,
                'display_width': 60,
                'size_max': 72,
            },
        },
        'description': {
            'type': 'TextArea Widget',
            'data': {
                'fields': ['description'],
                'is_i18n': 1,
                'label_edit': 'cpsdoc_description_label_edit',
                'description': '',
                'css_class': 'ddescription',
                'is_required': 0,
                'width': 60,
                'height': 5,
                'render_mode': 'stx',
            },
        },
        'file': {
            'type': 'File Widget',
            'data': {
                'fields': ['file',
                           'file_text',
                           'file_html'],
                'is_i18n': 1,
                'label_edit': 'cpsdoc_News_attachedFile_label_edit',
                'label': 'cpsdoc_News_attachedFile_label',
                'hidden_empty': 1,
                'description': 'cpsdoc_News_attachedFile_description',
                'deletable': 1,
                'size_max': 3*1024*1024,
            },
        },
    },
    'layout': {
        'ncols': 1,
        'rows': [
            [{'ncols': 1, 'widget_id': 'title'},
                ],
            [{'ncols': 1, 'widget_id': 'description'},
                ],
            [{'ncols': 1, 'widget_id': 'file'},
                ],
            ],
        },
    }

#########################################################
# EVENT LAYOUT
#########################################################
event_layout = {
    'widgets': {
        'title': {
            'type': 'String Widget',
            'data': {
                'fields': ['title'],
                'is_i18n': 1,
                'label_edit': 'cpsdoc_title_label_edit',
                'css_class': 'dtitle',
                'is_required': 1,
                'display_width': 60,
                'size_max': 72,
            },
        },
        'description': {
            'type': 'TextArea Widget',
            'data': {
                'fields': ['description'],
                'is_i18n': 1,
                'label_edit': 'cpsdoc_description_label_edit',
                'description': '',
                'css_class': 'ddescription',
                'is_required': 0,
                'width': 60,
                'height': 5,
                'render_mode': 'stx',
            },
        },
        'start': {
            'type': 'Date Widget',
            'data': {
                'fields': ['start'],
                'is_i18n': 1,
                'is_required': 1,
                'label_edit': 'cpsdoc_Event_start_label_edit',
                'label': 'cpsdoc_Event_start_label',
                'css_class': 'dbold',
                'view_format': 'medium',
                'time_setting': 1,
            },
        },
        'end': {
            'type': 'Date Widget',
            'data': {
                'fields': ['end'],
                'is_i18n': 1,
                'is_required': 1,
                'label_edit': 'cpsdoc_Event_end_label_edit',
                'label': 'cpsdoc_Event_end_label',
                'css_class': 'dbold dright',
                'view_format': 'medium',
                'time_setting': 1,
            },
        },
        'content': {
            'type': 'Rich Text Editor Widget',
            'data': {
                'fields': ['content'],
                'is_i18n': 1,
                'label_edit': 'cpsdoc_Event_content_label_edit',
                'label': '',
                'description': 'cpsdoc_Event_content_description',
                'css_class': 'dcontent',
                'width': 40,
                'height': 25,
                'render_mode': 'stx',
            },
        },
        'attachedFile': {
            'type': 'File Widget',
            'data': {
                'fields': ['attachedFile',
                           'attachedFile_text',
                           'attachedFile_html'],
                'is_i18n': 1,
                'label_edit': 'cpsdoc_News_attachedFile_label_edit',
                'label': 'cpsdoc_News_attachedFile_label',
                'hidden_empty': 1,
                'description': 'cpsdoc_News_attachedFile_description',
                'deletable': 1,
                'size_max': 3*1024*1024,
            },
        },
    },
    'layout': {
        'ncols': 2,
        'rows': [
            [{'ncols': 1, 'widget_id': 'title'},],
            [{'ncols': 1, 'widget_id': 'description'},],
            [{'ncols': 1, 'widget_id': 'start'},
             {'ncols': 1, 'widget_id': 'end'},],
            [{'ncols': 1, 'widget_id': 'content'},],
            [{'ncols': 1, 'widget_id': 'attachedFile'},],
            ],
        },
    }


#########################################################
# LINK LAYOUT
#########################################################

link_layout = {
    'widgets': {
        'link': {
            'type': 'Link Widget',
            'data': {
                'fields': ['href',
                           'title',
                           'description'],
                'is_i18n': 1,
                'is_required': 1,
                'label_edit': 'cpsdoc_Link_label_edit',
                'hidden_empty': 1,
                'deletable': 1,
            },
        },
    },
    'layout': {
        'ncols': 1,
        'rows': [
            [{'ncols': 1, 'widget_id': 'link'},
                ],
            ],
        },
    }

#########################################################
# IMAGE LAYOUT
#########################################################

image_layout = {
    'widgets': {
        'title': {
            'type': 'String Widget',
            'data': {
                'fields': ['title'],
                'is_i18n': 1,
                'label_edit': 'cpsdoc_title_label_edit',
                'css_class': 'dtitle',
                'is_required': 1,
                'display_width': 60,
                'size_max': 72,
            },
        },
        'description': {
            'type': 'TextArea Widget',
            'data': {
                'fields': ['description'],
                'is_i18n': 1,
                'label_edit': 'cpsdoc_description_label_edit',
                'description': '',
                'css_class': 'ddescription',
                'is_required': 0,
                'width': 60,
                'height': 5,
                'render_mode': 'stx',
            },
        },
        'preview': {
            'type': 'Image Widget',
            'data': {
                'fields': ['preview'],
                'is_i18n': 1,
                'label_edit': 'cpsdoc_Image_label_edit',
                'label': '',
                'display_width': 640,
                'display_height': 600,
                'size_max': 3*1024*1024,
            },
        },
    },
    'layout': {
        'ncols': 1,
        'rows': [
            [{'ncols': 1, 'widget_id': 'title'},
                ],
            [{'ncols': 1, 'widget_id': 'description'},
                ],
            [{'ncols': 1, 'widget_id': 'preview'},
                ],
            ],
        },
    }



#########################################################
# DUMMY FORM LAYOUT
#########################################################

dummy_form_layout = {
    'widgets': {
        'title': {
            'type': 'String Widget',
            'data': {
                'fields': ['title'],
                'is_i18n': 0,
                'label_edit': 'Dummy Form title field',
                'label': '',
                'hidden_view': 0,
                'hidden_edit': 0,
                'hidden_empty': 0,
                'description': 'Title for a dummy form',
                'css_class': 'title',
                'is_required': 0,
                'display_width': 20,
                'size_max': 0,
            },
        },
        'description': {
            'type': 'TextArea Widget',
            'data': {
                'fields': ['description'],
                'is_i18n': 0,
                'label_edit': 'Dummy Form Description field',
                'label': '',
                'hidden_view': 0,
                'hidden_edit': 0,
                'hidden_empty': 0,
                'description': 'Description field for a dummy form',
                'css_class': 'description',
                'is_required': 0,
                'width': 60,
                'height': 5,
                'render_mode': 'stx',
            },
        },
    },
    'layout': {
        'ncols': 1,
        'rows': [
            [{'ncols': 1, 'widget_id': 'title'},
                ],
            [{'ncols': 1, 'widget_id': 'description'},
                ],
            ],
        },
    }

###########################################################
# END OF LAYOUTS DEFINITIONS
###########################################################

layouts = {}

#
# Building the dictionnary of layouts for the installer
#

layouts['faq'] = faq_layout
layouts['news'] = news_layout
layouts['file'] = file_layout
layouts['event'] = event_layout
layouts['link'] = link_layout
layouts['image'] = image_layout
#layouts['dummy_form'] = dummy_form_layout

clayouts = context.getCustomDocumentLayouts()

layouts.update(clayouts)

return layouts
